## shorewall6 4.2.10

=== Makefile ===
# Shorewall6 Makefile to restart if config-files are newer than last restart
VARDIR=$(shell /sbin/shorewall6 show vardir)
CONFDIR=/etc/shorewall6
RESTOREFILE?=.restore
all: $(VARDIR)/${RESTOREFILE}

$(VARDIR)/${RESTOREFILE}: $(CONFDIR)/*
	@/sbin/shorewall6 -q save >/dev/null; \
	if \
	    /sbin/shorewall6 -q restart >/dev/null 2>&1; \
	then \
	    /sbin/shorewall6 -q save >/dev/null; \
	else \
	    /sbin/shorewall6 -q restart 2>&1 | tail >&2; \
	fi

# EOF

## shorewall6 4.4.10.1

=== debian/changelog ===
shorewall6 (4.4.10.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 19 Jun 2010 11:42:08 -0400

shorewall6 (4.4.10-1) unstable; urgency=low

  * New Upstream Version
  * Synchronize init script with upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 12 Jun 2010 13:20:34 -0400

shorewall6 (4.4.9-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 07 May 2010 21:32:02 -0400

shorewall6 (4.4.8.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 29 Apr 2010 21:40:41 -0400

shorewall6 (4.4.8.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 21 Apr 2010 10:10:18 -0400

shorewall6 (4.4.8.1-1) unstable; urgency=low

  * New Upstream Version
  * Add dependency on libio-socket-inet6-perl (Closes: #576347)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Apr 2010 19:28:11 -0400

shorewall6 (4.4.8-1) unstable; urgency=low

  * New Upstream Version
  * Switch to dpkg-source 3.0 (quilt) format
  * Add script-not-executable override

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 27 Mar 2010 20:51:01 -0400

shorewall6 (4.4.7.4-2) unstable; urgency=low

  * Synchronize init script with upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 21 Feb 2010 21:18:50 -0500

shorewall6 (4.4.7.4-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.8.4 (no changes)
  * Add missing dependency on $remote_fs in init script.

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 15 Feb 2010 10:45:52 -0500

shorewall6 (4.4.6-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 19 Jan 2010 19:13:58 -0500

shorewall6 (4.4.5.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 24 Dec 2009 15:09:52 -0500

shorewall6 (4.4.5-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 19 Dec 2009 14:12:50 -0500

shorewall6 (4.4.4.2-2) unstable; urgency=low

  * Fix computation of dependencies

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 08 Dec 2009 21:56:23 -0500

shorewall6 (4.4.4.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 08 Dec 2009 21:03:50 -0500

shorewall6 (4.4.4-2) unstable; urgency=low

  * Add Japanese debconf translation, thanks to Hideki Yamane (Closes: #558053)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 26 Nov 2009 08:24:06 -0500

shorewall6 (4.4.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 21 Nov 2009 14:21:27 -0500

shorewall6 (4.4.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 01 Nov 2009 14:49:12 -0500

shorewall6 (4.4.2-1) unstable; urgency=low

  * New Upstream Version (Closes: #538134)
  * Override lintian warning about init script

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 02 Oct 2009 13:57:20 -0400

shorewall6 (4.4.1-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.3 (no changes)
  * Translation updates
    + Czech (Closes: #534792)
    + Portuguese (Closes: #536571)
    + Basque (Closes: #539900)
    + German (Closes: #545095)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 04 Sep 2009 21:38:47 -0400

shorewall6 (4.2.10-1) unstable; urgency=low

  * New upstream release (Closes: #532384)
  * Update to Standards-Version 3.8.2 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Jun 2009 20:34:13 -0400

shorewall6 (4.2.9-1) unstable; urgency=low

  * New upstream release.
  * Translation updates:
    + Russian (Closes: #527999)
    + Spanish (Closes: #528075)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 16 May 2009 20:08:57 -0400

shorewall6 (4.2.8-1) unstable; urgency=low

  * New upstream release
  * Translation updates:
    + French (Closes: #522092)
    + Swedish (Closes: #522981)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 16 Apr 2009 21:54:30 -0400

shorewall6 (4.2.7-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 28 Mar 2009 22:18:17 -0400

shorewall6 (4.2.6-1) unstable; urgency=low

  * Initial release (Closes: #518869)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 08 Mar 2009 20:40:07 -0400

=== debian/control ===
Source: shorewall6
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Homepage: http://www.shorewall.net
Build-Depends: debhelper (>= 5), po-debconf
Standards-Version: 3.8.4
Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

Package: shorewall6
Architecture: all
Depends: iptables (>= 1.4.1), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), shorewall (>= ${shorewall:current}), shorewall (<< ${shorewall:next}), libio-socket-inet6-perl, ${misc:Depends}
Suggests: shorewall-doc, linux-image-2.6, make
Description: Shoreline Firewall (IPv6 version), netfilter configurator
 Shorewall6 allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall6 supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 This package contains IPv6 support.

## shorewall6 4.4.11.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Shorewall6 Makefile to restart if config-files are newer than last restart
 VARDIR=$(shell /sbin/shorewall6 show vardir)
 CONFDIR=/etc/shorewall6
-RESTOREFILE?=.restore
+RESTOREFILE?=firewall
 all: $(VARDIR)/${RESTOREFILE}
 
 $(VARDIR)/${RESTOREFILE}: $(CONFDIR)/*
@@ -14,4 +14,8 @@
 	    /sbin/shorewall6 -q restart 2>&1 | tail >&2; \
 	fi
 
+clean:
+	@rm -f $(CONFDIR)/*~ $(CONFDIR)/.*~
+.PHONY: clean
+
 # EOF

=== debian/changelog ===
shorewall6 (4.4.11.6-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 11 Oct 2010 18:53:14 -0400

shorewall6 (4.4.11.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 03 Sep 2010 16:41:58 -0400

shorewall6 (4.4.11.3-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 22 Aug 2010 20:58:53 -0400

shorewall6 (4.4.11.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 09 Aug 2010 21:07:58 -0400

shorewall6 (4.4.11-1) unstable; urgency=low

  * New Upstream Version
  * New Danish debconf translation, thanks to Joe Dalton (Closes: #585554)

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 14 Jul 2010 20:04:02 -0400

shorewall6 (4.4.10.3-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 09 Jul 2010 21:09:29 -0400

shorewall6 (4.4.10.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 25 Jun 2010 21:39:57 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# Shorewall firewall (http://www.shorewall.net)
# debianized version

# shorewall version
export VFULL=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "="`
export V=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "=" | cut -f 1-3 -d "."`
VMAJOR:=$(shell echo $(V) |cut -f 1 -d .)
VMINOR:=$(shell echo $(V) |cut -f 2 -d .)
VPATCH:=$(shell echo $(V) |cut -f 3 -d .)
NEXTPATCH:=$(shell expr $(VPATCH) + 1 2>/dev/null || expr `echo $(VPATCH) | cut -f 1 -d - ` + 1)

SRWL=$(CURDIR)/debian/shorewall6

build: build-stamp debian/po/templates.pot
build-stamp:
	dh_testdir
# 	there's nothing to compile ;-)
	touch build-stamp

debian/po/templates.pot: debian/shorewall6.templates
	@debconf-updatepo
#	@podebconf-report-po

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	debconf-updatepo
# 	clean the build directory
	rm -rf $(SRWL)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	echo 'shorewall:current=$(VMAJOR).$(VMINOR).$(VPATCH)~' \
		>> debian/shorewall6.substvars
	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
		>> debian/shorewall6.substvars

	dh_install

	install -m 644 debian/shorewall6.lintian $(SRWL)/usr/share/lintian/overrides/shorewall6

# 	Temporary zones are only available to root
	chmod 750 $(SRWL)/var/lib/shorewall6
# 	As well as configuration files
	chmod 755 $(SRWL)/etc/shorewall6
	chmod 640 $(SRWL)/etc/shorewall6/*
	chmod 644 $(SRWL)/etc/shorewall6/shorewall6.conf
	chmod 644 $(SRWL)/etc/shorewall6/Makefile
# 	set version number
	echo $(VFULL) > $(SRWL)/usr/share/shorewall6/version
#  global configuration has to be fully readable
	chmod 644 $(SRWL)/usr/share/shorewall6/*
#  must be executable
	chmod 755 $(SRWL)/usr/share/shorewall6/wait4ifup
# remove useless license file from /usr/share/doc/shorewall6/examples
	rm $(SRWL)/usr/share/doc/shorewall6/examples/LICENSE

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs releasenotes.txt
# 	examples are installed through shorewall6.install
	dh_installman manpages/*
	dh_installchangelogs changelog.txt
	dh_installlogrotate -pshorewall6 --name=shorewall6
	dh_installinit -pshorewall6 --name=shorewall6 --no-start -u"start 40 S . stop 89 0 6 ."
	dh_installdebconf
	dh_compress -Xusr/share/doc/shorewall6/default-config
	dh_fixperms -Xetc/shorewall -Xvar/lib/shorewall6
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb -v

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## shorewall6 4.4.16.1

=== debian/changelog ===
shorewall6 (4.4.16.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 23 Jan 2011 17:08:46 -0500

shorewall6 (4.4.16-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 12 Jan 2011 18:23:17 -0500

## shorewall6 4.4.17

=== debian/changelog ===
shorewall6 (4.4.17-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Feb 2011 22:19:03 -0500

## shorewall6 4.4.19.1

=== debian/changelog ===
shorewall6 (4.4.19.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 16 Apr 2011 19:18:18 -0400

shorewall6 (4.4.19-1) unstable; urgency=low

  * New Upstream Version (Closes: #622155)
  * Update Dutch debconf translation, thanks to Jeroen Schot (Closes: #622364)
  * Update to Standards-Version 3.9.2 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 12 Apr 2011 21:59:49 -0400

shorewall6 (4.4.18.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 04 Apr 2011 17:30:32 -0400

shorewall6 (4.4.18.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 20 Mar 2011 20:41:43 -0400

shorewall6 (4.4.18-1) unstable; urgency=low

  * New Upstream Version
  * Update copyright years in debian/copyright

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Mar 2011 22:26:08 -0500

## shorewall6 4.4.19.3

=== debian/changelog ===
shorewall6 (4.4.19.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 16 May 2011 19:49:30 -0400

## shorewall6 4.4.19.4

=== debian/changelog ===
shorewall6 (4.4.19.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 17 May 2011 22:38:20 -0400

## shorewall6 4.4.20.1

=== debian/changelog ===
shorewall6 (4.4.20.1-1) unstable; urgency=low

  * New Upstream Version
  * New debconf translation, Brazilian Portugese, thanks to Eder L. Marques
    (Closes: #629115)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 07 Jun 2011 20:42:53 -0400

## shorewall6 4.4.20.2

=== debian/changelog ===
shorewall6 (4.4.20.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 11 Jun 2011 15:28:35 -0400

## shorewall6 4.4.20.3

=== debian/changelog ===
shorewall6 (4.4.20.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 15 Jun 2011 16:46:53 -0400

## shorewall6 4.4.21

=== debian/changelog ===
shorewall6 (4.4.21-1) unstable; urgency=low

  * New Upstream Version (Closes: #632072)
  * Ship *.annotated config files in /usr/share/doc/shorewall/default-config
    to support the new 'shorewall update' command

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 10 Jul 2011 22:04:20 -0400

## shorewall6 4.4.24.1

=== debian/changelog ===
shorewall6 (4.4.24.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 Oct 2011 21:24:34 -0400

shorewall6 (4.4.24-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 09 Oct 2011 21:27:30 -0400

shorewall6 (4.4.23.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 16 Sep 2011 16:03:51 -0400

shorewall6 (4.4.23.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Sep 2011 19:53:59 -0400

shorewall6 (4.4.23.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 08 Sep 2011 19:47:36 -0400

shorewall6 (4.4.23-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 06 Sep 2011 19:53:19 -0400

shorewall6 (4.4.22.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 22 Aug 2011 12:17:43 -0400

shorewall6 (4.4.22.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 15 Aug 2011 18:38:20 -0400

shorewall6 (4.4.21.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Jul 2011 09:29:39 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 5), po-debconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

## shorewall6 4.4.25.3

=== debian/changelog ===
shorewall6 (4.4.25.3-1) unstable; urgency=low

  * New Upstream Version
  * Synchronize init script with upstream

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 11 Nov 2011 21:10:56 -0500

shorewall6 (4.4.25.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 05 Nov 2011 21:12:50 -0400

shorewall6 (4.4.25.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 01 Nov 2011 19:33:12 -0400

shorewall6 (4.4.25-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 29 Oct 2011 21:01:17 -0400

## shorewall6 4.4.26

=== debian/changelog ===
shorewall6 (4.4.26-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 02 Dec 2011 19:03:40 -0500

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,9 @@
 
 SRWL=$(CURDIR)/debian/shorewall6
 
-build: build-stamp debian/po/templates.pot
+build: build-arch build-indep debian/po/templates.pot
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 # 	there's nothing to compile ;-)

## shorewall6 4.4.26.1

=== debian/changelog ===
shorewall6 (4.4.26.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Dec 2011 19:39:49 -0500

## shorewall6 4.4.27.3

=== debian/changelog ===
shorewall6 (4.4.27.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 21 Jan 2012 10:23:34 -0500

shorewall6 (4.4.27.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 16 Jan 2012 19:36:27 -0500

shorewall6 (4.4.27.1-1) unstable; urgency=low

  * New Upstream Version
  * Add Indonesian Debconf translation, thanks to Mahyuddin Susanto
    (Closes: #654158)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 08 Jan 2012 20:23:20 -0500

shorewall6 (4.4.27-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 30 Dec 2011 14:48:27 -0500

## shorewall6 4.5.0.3

=== debian/changelog ===
shorewall6 (4.5.0.3-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 08 Mar 2012 22:53:53 -0500

shorewall6 (4.5.0.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 20 Feb 2012 20:39:32 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 5), po-debconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,6 @@
 	echo $(VFULL) > $(SRWL)/usr/share/shorewall6/version
 #  global configuration has to be fully readable
 	chmod 644 $(SRWL)/usr/share/shorewall6/*
-#  must be executable
-	chmod 755 $(SRWL)/usr/share/shorewall6/wait4ifup
 # remove useless license file from /usr/share/doc/shorewall6/examples
 	rm $(SRWL)/usr/share/doc/shorewall6/examples/LICENSE

## shorewall6 4.5.2.2

=== debian/changelog ===
shorewall6 (4.5.2.2-1) unstable; urgency=low

  * New Upstream Version
  * Add Turkish debconf translation, thanks to Atila KOÇ (Closes: #663178)
  * Convert to debhelper compatibility level 8

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 14 Apr 2012 21:58:25 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shorewall version
export VFULL=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "="`
export V=`grep "^VERSION=" install.sh | head -n 1 | cut -f 2 -d "=" | cut -f 1-3 -d "."`
VMAJOR:=$(shell echo $(V) |cut -f 1 -d .)
VMINOR:=$(shell echo $(V) |cut -f 2 -d .)
VPATCH:=$(shell echo $(V) |cut -f 3 -d .)
NEXTPATCH:=$(shell expr $(VPATCH) + 1 2>/dev/null || expr `echo $(VPATCH) | cut -f 1 -d - ` + 1)

SRWL=$(CURDIR)/debian/shorewall6

%:
	dh $@ 

debian/po/templates.pot: debian/shorewall6.templates
	@debconf-updatepo

override_dh_auto_configure:
	./configure

override_dh_auto_build:
	true

override_dh_auto_clean:
	rm -rf $(SRWL) shorewallrc

override_dh_install:
	echo 'shorewall:current=$(VMAJOR).$(VMINOR).$(VPATCH)~' \
		>> debian/shorewall6.substvars
	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
		>> debian/shorewall6.substvars
	DESTDIR=$(SRWL) MANDIR=man BUILD=debian HOST=debian $(CURDIR)/install.sh
	rmdir $(SRWL)/usr/share/shorewall/Shorewall
	rmdir $(SRWL)/usr/share/shorewall

override_dh_fixperms:
	# Temporary zones are only available to root
	chmod 750 $(SRWL)/var/lib/shorewall6
	# By default, configuration is not world-readable
	chmod 640 $(SRWL)/etc/shorewall6/*
	# These should not be executable
	chmod 644 $(SRWL)/etc/shorewall6/shorewall6.conf
	chmod 644 $(SRWL)/etc/shorewall6/Makefile
	# Global configuration has to be fully readable
	chmod 644 $(SRWL)/usr/share/shorewall6/*
	chmod 755 $(SRWL)/usr/share/shorewall6/configfiles/
	dh_fixperms -Xetc/shorewall6 -Xvar/lib/shorewall6

override_dh_compress:
	dh_compress

override_dh_installinit:
	dh_installinit --onlyscripts --no-start -u"start 40 S . stop 89 0 6 ."

override_dh_installman:
	dh_installman manpages/*

override_dh_installlogrotate:
	dh_installlogrotate -pshorewall6 --name=shorewall6

## shorewall6 4.5.3

=== debian/changelog ===
shorewall6 (4.5.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 May 2012 22:47:40 -0400

shorewall6 (4.5.2.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 01 May 2012 19:25:10 -0400

## shorewall6 4.5.5.1

=== debian/changelog ===
shorewall6 (4.5.5.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 17 Jun 2012 14:13:45 -0400

shorewall6 (4.5.5-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 15 Jun 2012 07:44:41 -0400

## shorewall6 4.5.5.3

=== debian/changelog ===
shorewall6 (4.5.5.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 02 Jul 2012 19:27:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
-Build-Depends: debhelper (>= 5), po-debconf
+Build-Depends: debhelper (>= 8.0.0), po-debconf
 Standards-Version: 3.9.3
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

## shorewall6 4.5.16.1

=== debian/changelog ===
shorewall6 (4.5.16.1-1) unstable; urgency=low

  * New Upstream Version
  * debian/patches/01_debian_configuration.patch: Refreshed
  * Update lintian overrides

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 03 May 2013 08:23:14 -0400

shorewall6 (4.5.5.3-2) unstable; urgency=low

  * Update README.Debian to identify correct location for default
    configuration files

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 Sep 2012 15:10:17 -0400

## shorewall6 4.5.21.1

=== debian/changelog ===
shorewall6 (4.5.21.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 11 Oct 2013 19:42:38 -0400

shorewall6 (4.5.21-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 03 Oct 2013 19:43:00 -0400

shorewall6 (4.5.20-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.4 (no changes)
  * Remove Suggests, as anything suggested by shorewall gets suggested
    when it is pulled in as a dependency of shorewall6 (Closes: #693109)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 24 Sep 2013 19:32:17 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian
 
 Package: shorewall6
 Architecture: all
 Depends: iptables (>= 1.4.1), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), shorewall (>= ${shorewall:current}), shorewall (<< ${shorewall:next}), libio-socket-inet6-perl, ${misc:Depends}
-Suggests: shorewall-doc, linux-image-2.6, make
 Description: Shoreline Firewall (IPv6 version), netfilter configurator
  Shorewall6 allows firewall/gateway requirements to be described using
  entries in a set of configuration files. It reads those configuration

## shorewall6 4.5.21.2

=== debian/changelog ===
shorewall6 (4.5.21.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 22 Oct 2013 20:46:49 -0400

## shorewall6 4.5.21.3

=== debian/changelog ===
shorewall6 (4.5.21.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 25 Oct 2013 19:29:09 -0400

## shorewall6 4.5.21.4

=== debian/changelog ===
shorewall6 (4.5.21.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Nov 2013 20:11:30 -0500

## shorewall6 4.5.21.5

=== debian/changelog ===
shorewall6 (4.5.21.5-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 19 Dec 2013 16:03:21 -0500

## shorewall6 4.5.21.6

=== Makefile ===
# Shorewall6 Makefile to restart if config-files are newer than last restart
VARDIR=$(shell /sbin/shorewall6 show vardir)
CONFDIR=/etc/shorewall6
RESTOREFILE?=firewall

all: $(VARDIR)/$(RESTOREFILE)

$(VARDIR)/$(RESTOREFILE): $(CONFDIR)/*
	@/sbin/shorewall6 -q save >/dev/null; \
	if \
	    /sbin/shorewall6 -q restart >/dev/null 2>&1; \
	then \
	    /sbin/shorewall6 -q save >/dev/null; \
	else \
	    /sbin/shorewall6 -q restart 2>&1 | tail >&2; exit 1; \
	fi

clean:
	@rm -f $(CONFDIR)/*~ $(CONFDIR)/.*~

.PHONY: clean

# EOF

=== debian/changelog ===
shorewall6 (4.5.21.6-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 31 Jan 2014 10:48:42 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	chmod 640 $(SRWL)/etc/shorewall6/*
 	# These should not be executable
 	chmod 644 $(SRWL)/etc/shorewall6/shorewall6.conf
-	chmod 644 $(SRWL)/etc/shorewall6/Makefile
+	if [ -f $(SRWL)/etc/shorewall6/Makefile ] ; then chmod 644 $(SRWL)/etc/shorewall6/Makefile ; fi
 	# Global configuration has to be fully readable
 	chmod 644 $(SRWL)/usr/share/shorewall6/*
 	chmod 755 $(SRWL)/usr/share/shorewall6/configfiles/

=== debian/watch ===
version=3

http://sf.net/shorewall/shorewall6-(4[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## shorewall6 4.6.2.2

=== debian/changelog ===
shorewall6 (4.6.2.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 24 Jul 2014 20:35:06 -0400

shorewall6 (4.6.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Depend on 'iproute2 | iproute' instead of just iproute

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 21 Jul 2014 22:14:17 -0400

shorewall6 (4.6.1.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 20 Jun 2014 10:52:24 -0400

shorewall6 (4.6.1.1-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 16 Jun 2014 11:07:52 -0400

shorewall6 (4.5.21.9-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 31 Mar 2014 15:24:03 -0400

shorewall6 (4.5.21.8-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 20 Mar 2014 15:29:43 -0400

shorewall6 (4.5.21.7-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Mar 2014 11:35:00 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: shorewall6
 Architecture: all
-Depends: iptables (>= 1.4.1), iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), shorewall (>= ${shorewall:current}), shorewall (<< ${shorewall:next}), libio-socket-inet6-perl, ${misc:Depends}
+Depends: iptables (>= 1.4.1), iproute2 | iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), shorewall (>= ${shorewall:current}), shorewall (<< ${shorewall:next}), libio-socket-inet6-perl, ${misc:Depends}
 Description: Shoreline Firewall (IPv6 version), netfilter configurator
  Shorewall6 allows firewall/gateway requirements to be described using
  entries in a set of configuration files. It reads those configuration

## shorewall6 4.6.4.3

=== debian/changelog ===
shorewall6 (4.6.4.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 19 Oct 2014 15:11:44 -0400

shorewall6 (4.6.4.2-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Oct 2014 12:44:47 -0400

shorewall6 (4.6.4-1) unstable; urgency=low

  * New Upstream Version
  * Update to Standards-Version 3.9.6 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 11 Oct 2014 10:07:14 -0400

shorewall6 (4.6.3.4-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 21 Sep 2014 17:39:39 -0400

shorewall6 (4.6.3.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 13 Sep 2014 14:00:21 -0400

shorewall6 (4.6.3-1) unstable; urgency=low

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 20 Aug 2014 07:39:37 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 8.0.0), po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
 Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian

## shorewall6 5.0.3.1

=== debian/changelog ===
shorewall6 (5.0.3.1-1) unstable; urgency=low

  * New Upstream Version (Closes: #796703)
  * Fix broken Vcs-Browser and Vcs-Git links (Closes: #791578)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 10 Jan 2016 15:22:43 -0500

## shorewall6 5.0.4

=== debian/changelog ===
shorewall6 (5.0.4-1) unstable; urgency=medium

  * New Upstream Version
  * Fix postinst and prerm to check for the presence of the SysV init
    script prior to calling it or using invoke-rc.d.  Also add a check
    for the systemd .service file and use systemctl if it is present.
    (Closes: #810804)

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 21 Jan 2016 20:56:16 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
-Build-Depends: debhelper (>= 8.0.0), po-debconf
+Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 3.9.6
-Vcs-Browser: http://shorewall.git.sourceforge.net/git/gitweb.cgi?p=shorewall/debian;a=tree
-Vcs-Git: git://shorewall.git.sourceforge.net/gitroot/shorewall/shorewall/debian
+Vcs-Browser: http://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
+Vcs-Git: git://git.code.sf.net/p/shorewall/debian
 
 Package: shorewall6
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -21,20 +21,17 @@
 	@debconf-updatepo
 
 override_dh_auto_configure:
-	./configure
+	true
 
 override_dh_auto_build:
 	true
-
-override_dh_auto_clean:
-	rm -rf $(SRWL) shorewallrc
 
 override_dh_install:
 	echo 'shorewall:current=$(VMAJOR).$(VMINOR).$(VPATCH)~' \
 		>> debian/shorewall6.substvars
 	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
 		>> debian/shorewall6.substvars
-	DESTDIR=$(SRWL) MANDIR=man BUILD=debian HOST=debian $(CURDIR)/install.sh
+	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/shorewallrc.debian.systemd
 	rmdir $(SRWL)/usr/share/shorewall/Shorewall
 	rmdir $(SRWL)/usr/share/shorewall
 
@@ -51,15 +48,3 @@
 	chmod 755 $(SRWL)/usr/share/shorewall6/configfiles/
 	dh_fixperms -Xetc/shorewall6 -Xvar/lib/shorewall6
 
-override_dh_compress:
-	dh_compress
-
-override_dh_installinit:
-	dh_installinit --onlyscripts --no-start -u"start 40 S . stop 89 0 6 ."
-
-override_dh_installman:
-	dh_installman manpages/*
-
-override_dh_installlogrotate:
-	dh_installlogrotate -pshorewall6 --name=shorewall6
-

## shorewall6 5.0.7.2

=== debian/changelog ===
shorewall6 (5.0.7.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 31 Mar 2016 12:56:01 -0400

shorewall6 (5.0.7-1) unstable; urgency=low

  * New Upstream Version
  * Enable systemd service on package installation and disable on removal
  * Update to Standards-Version 3.9.7 (no changes)
  * Change Vcs-Browser link to use https

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 26 Mar 2016 21:31:36 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.6
-Vcs-Browser: http://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
+Standards-Version: 3.9.7
+Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian
 
 Package: shorewall6

## shorewall6 5.0.10

=== debian/changelog ===
shorewall6 (5.0.10-1) unstable; urgency=medium

  * New Upstream Version
  * Ensure systemd state file is purged on package purge (Closes: #823691)
  * Update to Standards-Version 3.9.8 (no changes)
  * Install both systemd service unit and SysV init script

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 02 Jul 2016 17:52:46 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

## shorewall6 5.0.10.1

=== debian/changelog ===
shorewall6 (5.0.10.1-1) unstable; urgency=medium

  * New Upstream Version
  * Use a more reliable check for systemd

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 16 Jul 2016 23:45:35 -0400

## shorewall6 5.0.11

=== debian/changelog ===
shorewall6 (5.0.11-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 13 Aug 2016 00:25:48 -0400

## shorewall6 5.0.12.1

=== debian/changelog ===
shorewall6 (5.0.12.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 09 Oct 2016 20:52:23 -0400

shorewall6 (5.0.12-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 02 Oct 2016 15:58:17 -0400

## shorewall6 5.0.14

=== debian/changelog ===
shorewall6 (5.0.14-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 03 Nov 2016 21:20:55 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,14 @@
 
 Package: shorewall6
 Architecture: all
-Depends: iptables (>= 1.4.1), iproute2 | iproute, debconf (>= 1.4.69) | cdebconf (>= 0.39), shorewall (>= ${shorewall:current}), shorewall (<< ${shorewall:next}), libio-socket-inet6-perl, ${misc:Depends}
+Depends: iptables (>= 1.4.1),
+ iproute2 | iproute,
+ debconf (>= 1.4.69) | cdebconf (>= 0.39),
+ shorewall (>= ${shorewall:current}),
+ shorewall (<< ${shorewall:next}),
+ libio-socket-inet6-perl,
+ lsb-base (>= 3.0-6),
+ ${misc:Depends}
 Description: Shoreline Firewall (IPv6 version), netfilter configurator
  Shorewall6 allows firewall/gateway requirements to be described using
  entries in a set of configuration files. It reads those configuration

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,12 @@
 		>> debian/shorewall6.substvars
 	echo 'shorewall:next=$(VMAJOR).$(VMINOR).$(NEXTPATCH)~' \
 		>> debian/shorewall6.substvars
-	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/shorewallrc.debian.systemd
+	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/debian/shorewallrc
 	rmdir $(SRWL)/usr/share/shorewall/Shorewall
 	rmdir $(SRWL)/usr/share/shorewall
+
+override_dh_installinit:
+	dh_installinit --onlyscripts --no-start
 
 override_dh_fixperms:
 	# Temporary zones are only available to root
@@ -46,5 +49,6 @@
 	# Global configuration has to be fully readable
 	chmod 644 $(SRWL)/usr/share/shorewall6/*
 	chmod 755 $(SRWL)/usr/share/shorewall6/configfiles/
+	chmod 755 $(SRWL)/usr/share/shorewall6/deprecated/
 	dh_fixperms -Xetc/shorewall6 -Xvar/lib/shorewall6

## shorewall6 5.0.14.1

=== debian/changelog ===
shorewall6 (5.0.14.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 09 Nov 2016 11:16:00 -0500

## shorewall6 5.0.15

=== debian/changelog ===
shorewall6 (5.0.15-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 07 Dec 2016 16:56:18 -0500

## shorewall6 5.0.15.1

=== debian/changelog ===
shorewall6 (5.0.15.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 17 Dec 2016 08:25:21 -0500

## shorewall6 5.0.15.2

=== debian/changelog ===
shorewall6 (5.0.15.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 24 Dec 2016 17:17:39 -0500

## shorewall6 5.0.15.6

=== debian/changelog ===
shorewall6 (5.0.15.6-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 03 Apr 2017 11:03:31 -0400

=== debian/watch ===
version=3

http://www.shorewall.net/pub/shorewall/5.0/shorewall-(5[\d.]+)/shorewall6-(5[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)

## shorewall6 5.1.8.1

=== debian/changelog ===
shorewall6 (5.1.8.1-1) unstable; urgency=medium

  * New Upstream Version
  * Document steps for enabling shorewall6 on boot following configuration.

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 20 Nov 2017 08:03:38 -0500

## shorewall6 5.1.9

=== debian/changelog ===
shorewall6 (5.1.9-1) unstable; urgency=medium

  * New Upstream Version
  * Update upstream download URL in debian/watch
  * Update to Standards-Version 4.1.1
    + Add pgpsigurlmangle option in debian/watch
    + Include upstream signing key

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 26 Nov 2017 14:18:48 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

## shorewall6 5.1.10.2

=== debian/changelog ===
shorewall6 (5.1.10.2-1) unstable; urgency=medium

  * New Upstream Version
  * Update to Standards-Version 4.1.3 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 31 Dec 2017 21:15:54 -0500

## shorewall6 5.1.12.1

=== debian/changelog ===
shorewall6 (5.1.12.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 10 Feb 2018 07:04:11 -0500

## shorewall6 5.1.12.2

=== debian/changelog ===
shorewall6 (5.1.12.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 22 Feb 2018 21:00:27 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	DESTDIR=$(SRWL) $(CURDIR)/install.sh $(CURDIR)/debian/shorewallrc
 	rmdir $(SRWL)/usr/share/shorewall/Shorewall
 	rmdir $(SRWL)/usr/share/shorewall
+	rmdir $(SRWL)/usr/share/shorewall6/deprecated/
 
 override_dh_installinit:
 	dh_installinit --onlyscripts --no-start
@@ -49,6 +50,5 @@
 	# Global configuration has to be fully readable
 	chmod 644 $(SRWL)/usr/share/shorewall6/*
 	chmod 755 $(SRWL)/usr/share/shorewall6/configfiles/
-	chmod 755 $(SRWL)/usr/share/shorewall6/deprecated/
 	dh_fixperms -Xetc/shorewall6 -Xvar/lib/shorewall6

## shorewall6 5.1.12.3

=== debian/changelog ===
shorewall6 (5.1.12.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 02 Mar 2018 09:05:33 -0500

## shorewall6 5.2.1.3

=== debian/changelog ===
shorewall6 (5.2.1.3-1) unstable; urgency=medium

  * New Upstream Version
  * Update to Standards-Version 4.2.1 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 15 Dec 2018 10:25:48 -0500

## shorewall6 5.2.1.4

=== debian/changelog ===
shorewall6 (5.2.1.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 16 Dec 2018 15:17:51 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

## shorewall6 5.2.2

=== debian/changelog ===
shorewall6 (5.2.2-1) unstable; urgency=medium

  * New Upstream Version
  * Update to Standards-Version 4.3.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 18 Jan 2019 07:59:46 -0500

## shorewall6 5.2.3.1

=== debian/changelog ===
shorewall6 (5.2.3.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Feb 2019 17:59:14 -0500

shorewall6 (5.2.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 22 Feb 2019 23:31:39 -0500

## shorewall6 5.2.3.2

=== debian/changelog ===
shorewall6 (5.2.3.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 23 Mar 2019 21:41:29 -0400

## shorewall6 5.2.3.4

=== debian/changelog ===
shorewall6 (5.2.3.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 07 Sep 2019 08:40:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roberto C. Sanchez <roberto@connexer.com>
 Homepage: http://www.shorewall.net
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall6/master/~/tree/
 Vcs-Git: git://git.code.sf.net/p/shorewall/debian

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s%$%.asc%" http://www.shorewall.net/pub/shorewall/5.1/shorewall-(5[\d.]+)/shorewall6-(5[\d.]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
